osl::move_generator::GenerateEscape< P > Struct Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions | List of all members
osl::move_generator::GenerateEscape< P > Struct Template Reference

`#include <escape_.h>`

## Static Public Member Functions
template<class Action >
static void | generate (const NumEffectState &state, Piece piece, Action &a)
static void | generate (const NumEffectState &state, Piece piece, MoveVector &out)
template<class Action >
static void | generateCheap (const NumEffectState &state, Piece piece, Action &a)
static void | generateCheap (const NumEffectState &state, Piece piece, MoveVector &out)
template<size_t Capacity>
static void | generateKingEscape (const NumEffectState &state, FixedCapacityVector< Move, Capacity > &out)
| 不成の受けは作成しないので必要な場合はユーザが作成 More...
template<size_t Capacity>
static void | generateCheapKingEscape (const NumEffectState &state, FixedCapacityVector< Move, Capacity > &out)

## Detailed Description

### template<Player P>
struct osl::move_generator::GenerateEscape< P >

Definition at line 109 of file escape_.h.

## Member Function Documentation

template<Player P>
template<class Action >

static void osl::move_generator::GenerateEscape< P >::generate | ( | const NumEffectState & | state,
|  | Piece | piece,
|  | Action & | a
| ) |  |
| inlinestatic

Definition at line 112 of file escape_.h.

Referenced by osl::search::MoveGenerator::generateKingEscape(), osl::search::AlphaBeta3::nextMove(), osl::search::AlphaBeta3::quiesce(), and osl::search::AlphaBeta3::quiesceRoot().

template<Player P>

static void osl::move_generator::GenerateEscape< P >::generate | ( | const NumEffectState & | state,
|  | Piece | piece,
|  | MoveVector & | out
| ) |  |
| inlinestatic

Definition at line 116 of file escape_.h.

References store().

template<Player P>
template<class Action >

static void osl::move_generator::GenerateEscape< P >::generateCheap | ( | const NumEffectState & | state,
|  | Piece | piece,
|  | Action & | a
| ) |  |
| inlinestatic

Definition at line 122 of file escape_.h.

template<Player P>

static void osl::move_generator::GenerateEscape< P >::generateCheap | ( | const NumEffectState & | state,
|  | Piece | piece,
|  | MoveVector & | out
| ) |  |
| inlinestatic

Definition at line 127 of file escape_.h.

References store().

template<Player P>
template<size_t Capacity>

static void osl::move_generator::GenerateEscape< P >::generateCheapKingEscape | ( | const NumEffectState & | state,
|  | FixedCapacityVector< Move, Capacity > & | out
| ) |  |
| inlinestatic

Definition at line 141 of file escape_.h.

References store().

Referenced by osl::GenerateEscapeKing::generateCheap(), and osl::checkmate::Dfpn::generateEscape().

template<Player P>
template<size_t Capacity>

static void osl::move_generator::GenerateEscape< P >::generateKingEscape | ( | const NumEffectState & | state,
|  | FixedCapacityVector< Move, Capacity > & | out
| ) |  |
| inlinestatic

不成の受けは作成しないので必要な場合はユーザが作成

Definition at line 135 of file escape_.h.

References store().

Referenced by osl::checkmate::Dfpn::generateCheck(), and osl::checkmate::Dfpn::generateEscape().

The documentation for this struct was generated from the following file:

- escape_.h